extends Spatial

class_name Interactable

var hasE = false
onready var PLAYER = find_parent("MAIN").find_node("Player")
var MAIN : MainNode 

func _ready():
	if $EPlace:
		hasE = true
	MAIN = find_parent("MAIN")

func bump_E():
	if hasE:
		$EPlace.visible = true
		$EPlace.stay += 2
	
